# HttpHelper

Package tourplaner.business

## Class HttpHelper

- java.lang.Object
- - tourplaner.business.HttpHelper

    public class HttpHelper
    extends java.lang.Object

Http Hilfsfunktionen

### Constructor Summary

Constructors
`HttpHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.awt.Image` `httpGetImage​(java.lang.String url)` Holt ein Image von gegebener URL
`static java.lang.String` `httpGetJsonString​(java.lang.String url)` Http GET Json string vom Url string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpHelper

    public HttpHelper()

### Method Detail

#### httpGetImage

    public static java.awt.Image httpGetImage​(java.lang.String url)
                                       throws java.io.IOException

Holt ein Image von gegebener URL

Parameters:
  `url` - Url als Sting
Returns:
  Image von der Url
Throws:
  `java.io.IOException` - Fehler beim Bild holen

#### httpGetJsonString

    public static java.lang.String httpGetJsonString​(java.lang.String url)
                                              throws java.io.IOException

Http GET Json string vom Url string

Parameters:
  `url` - Url als String
Returns:
  Json als String
Throws:
  `java.io.IOException` - Fehler beim Json holen